tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mt...@apache.org
Subject svn commit: r450777 - /tomcat/connectors/trunk/jni/jnirelease.sh
Date Thu, 28 Sep 2006 09:47:45 GMT
Author: mturk
Date: Thu Sep 28 02:47:44 2006
New Revision: 450777

URL: http://svn.apache.org/viewvc?view=rev&rev=450777
Log:
Fix release process. The sources will from now have
the -src in the path like APR has.

Modified:
    tomcat/connectors/trunk/jni/jnirelease.sh

Modified: tomcat/connectors/trunk/jni/jnirelease.sh
URL: http://svn.apache.org/viewvc/tomcat/connectors/trunk/jni/jnirelease.sh?view=diff&rev=450777&r1=450776&r2=450777
==============================================================================
--- tomcat/connectors/trunk/jni/jnirelease.sh (original)
+++ tomcat/connectors/trunk/jni/jnirelease.sh Thu Sep 28 02:47:44 2006
@@ -1,6 +1,6 @@
 #/bin/sh
 #
-# Copyright 1999-2005 The Apache Software Foundation
+# Copyright 1999-2006 The Apache Software Foundation
 #
 # Licensed under the Apache License, Version 2.0 (the "License");
 # you may not use this file except in compliance with the License.
@@ -14,15 +14,46 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 #
-# APRDIR have to be the location of the APR sources
-APRDIR=$HOME/apr
-#
-# Replace JKJNIEXT with branche/or tag
-#  and JKJNIVER by the version like -1.1.0
-JKJNIEXT="trunk"
-JKJNIVER="-dev"
+# Default place to look for apr source.  Can be overridden with 
+#   --with-apr=[directory]
+apr_src_dir=../apr
+
+while test $# -gt 0 
+do
+  # Normalize
+  case "$1" in
+  -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+  *) optarg= ;;
+  esac
+
+  case "$1" in
+  --with-apr=*)
+  apr_src_dir=$optarg
+  ;;
+  esac
+
+  shift
+done
+
+if test -d "$apr_src_dir"
+then
+  echo ""
+  echo "Looking for apr source in $apr_src_dir"
+else
+  echo ""
+  echo "Problem finding apr source in $apr_src_dir."
+  echo "Use:"
+  echo "  --with-apr=[directory]" 
+  exit 1
+fi
+
+# Replace JKJNIEXT with branch/or tag
+# and JKJNIVER by the version like 1.1.0
+JKJNIEXT=trunk
+JKJNIVER=current
+# JKJNIVER="1.1.5"
 SVNBASE=https://svn.apache.org/repos/asf/tomcat/connectors/
-JKJNIDIST=tomcat-connectors${JKJNIVER}
+JKJNIDIST=tomcat-connectors-${JKJNIVER}-src
 rm -rf ${JKJNIDIST}
 mkdir -p ${JKJNIDIST}/jni
 svn export $SVNBASE/${JKJNIEXT}/jni/native ${JKJNIDIST}/jni/native
@@ -31,15 +62,22 @@
 svn cat $SVNBASE/${JKJNIEXT}/NOTICE > ${JKJNIDIST}/NOTICE
 svn cat $SVNBASE/${JKJNIEXT}/jni/NOTICE.txt > ${JKJNIDIST}/NOTICE.txt
 svn cat $SVNBASE/${JKJNIEXT}/jni/README.txt > ${JKJNIDIST}/README.txt
-
+#
 # Prebuild
 cd ${JKJNIDIST}/jni/native
-# Adjust the location of APR sources
-./buildconf --with-apr=$APRDIR
+./buildconf --with-apr=$apr_src_dir
 cd ../../../
-# Create distribution
-tar cvf ${JKJNIDIST}.tar ${JKJNIDIST}
-gzip ${JKJNIDIST}.tar
-# Convert lineends to DOS
-perl $APRDIR/build/lineends.pl --cr ${JKJNIDIST}
-zip -9 -r  ${JKJNIDIST}.zip ${JKJNIDIST}
+# Create source distribution
+tar cfz ${JKJNIDIST}.tar.gz ${JKJNIDIST}
+#
+# Create Win32 source distribution
+JKJNIDIST=tomcat-connectors-${JKJNIVER}-win32-src
+rm -rf ${JKJNIDIST}
+mkdir -p ${JKJNIDIST}/jni
+svn export --native-eol CRLF $SVNBASE/${JKJNIEXT}/jni/native ${JKJNIDIST}/jni/native
+svn cat $SVNBASE/${JKJNIEXT}/KEYS > ${JKJNIDIST}/KEYS
+svn cat $SVNBASE/${JKJNIEXT}/LICENSE > ${JKJNIDIST}/LICENSE
+svn cat $SVNBASE/${JKJNIEXT}/NOTICE > ${JKJNIDIST}/NOTICE
+svn cat $SVNBASE/${JKJNIEXT}/jni/NOTICE.txt > ${JKJNIDIST}/NOTICE.txt
+svn cat $SVNBASE/${JKJNIEXT}/jni/README.txt > ${JKJNIDIST}/README.txt
+zip -9rqo ${JKJNIDIST}.zip ${JKJNIDIST}



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message